Bug 148295 - www/neon28 -> www/neon29, get all ports depend on neon29
www/neon28 -> www/neon29, get all ports depend on neon29
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: mezz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 16:00 UTC by mezz
Modified: 2010-07-30 23:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mezz freebsd_committer 2010-07-01 16:00:16 UTC
The neon 0.29 is API and ABI backwards-compatible with 0.28.x and 0.27.x. It's
pointless to have two neon ports in the ports tree. Also, have two same
libraries in the ports tree with CONFLICT is an issue.

Fix: 

Remove www/neon28 and www/neonpp, use ltverhack to correct the shared library
version, and get all ports to chase the number and bump the PORTREVISION. The
patch will need to be tested in the pointyhat-exp.

http://people.freebsd.org/~mezz/diff/neon-1.diff.bz2
Comment 1 Edwin Groothuis freebsd_committer 2010-07-01 16:00:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 mezz freebsd_committer 2010-07-01 19:21:27 UTC
Responsible Changed
From-To: lev->portmgr

Request pointyhat-exp test.
Comment 3 mezz7 2010-07-13 17:26:42 UTC
Here's update patch with the July 13, 2010 ports tree.

http://people.freebsd.org/~mezz/diff/neon-2.diff.bz2

Cheers,
Mezz


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
Comment 4 mezz.freebsd 2010-07-19 22:55:15 UTC
Here's update patch with the July 19, 2010 ports tree.

http://people.freebsd.org/~mezz/diff/neon-3.diff.bz2

Cheers,
Mezz


-- 
mezz.freebsd@gmail.com - mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/ - gnome@FreeBSD.org
Comment 5 mezz.freebsd 2010-07-26 04:29:04 UTC
Here's update patch with the July 25, 2010 ports tree.

http://people.freebsd.org/~mezz/diff/neon-4.diff.bz2

Cheers,
Mezz


-- 
mezz.freebsd@gmail.com - mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/ - gnome@FreeBSD.org
Comment 6 pav freebsd_committer 2010-07-26 08:17:55 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 7 pav freebsd_committer 2010-07-29 23:35:49 UTC
Responsible Changed
From-To: pav->mezz

exp-run completed, one failure forwarded in separate email
Comment 8 dfilter freebsd_committer 2010-07-30 23:14:58 UTC
mezz        2010-07-30 22:14:49 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
    .                    MOVED UPDATING 
    archivers/rpm5       Makefile 
    audio/libmusicbrainz3 Makefile 
    deskutils/libopensync-plugin-sunbird Makefile 
    devel/bazaar         Makefile 
    devel/anjuta         Makefile 
    devel/subcommander   Makefile 
    devel/subversion     Makefile.common 
    devel/subcommander2  Makefile 
    multimedia/audacious-plugins Makefile 
    multimedia/gstreamer-plugins Makefile.common 
    sysutils/fusefs-wdfs Makefile 
    sysutils/nut         Makefile 
    sysutils/nut22       Makefile 
    www/cadaver          Makefile 
    www/sitecopy         Makefile 
    www/neon29           Makefile pkg-plist 
    www/gstreamer-plugins-neon Makefile 
    devel/subversion-freebsd Makefile 
    java/subversion-java Makefile 
  Removed files:
    www/neonpp           Makefile distinfo pkg-descr pkg-plist 
    www/neon28           Makefile distinfo pkg-descr pkg-plist 
    www/neon28/files     patch-Makefile.in patch-ltmain.sh 
  Log:
  - Makes neon29 our default neon library. The neon 0.27.x to 0.29.x are API and
    ABI backwards compatible. It is unnecessary to have more than one same
    libraries (ie: neon28 and neon29) as it creates issue in our ports tree such
    as CONFLICTS and made our Makefile complicate.
  - Remove www/neonpp and www/neon28.
  - Add USE_GNOME=ltverhack; it corrects the shared library version by change
    from libneon.so.29 to libneon.so.27. It won't get bump again with no reason
    unless ABI changes.
  - Bump the PORTREVISION on all ports and chase the shared library change.
  - Add info in the UPDATING for how to rebuild on all ports that depend on
    neon.
  
  PR:             ports/148295
  Approved by:    lev (maintainer timeout, no respone for months),
                  portmgr
  Tested by:      pointyhat-exp by pav
  
  Revision  Changes    Path
  1.2182    +3 -1      ports/MOVED
  1.953     +18 -2     ports/UPDATING
  1.33      +2 -2      ports/archivers/rpm5/Makefile
  1.44      +4 -13     ports/audio/libmusicbrainz3/Makefile
  1.4       +2 -1      ports/deskutils/libopensync-plugin-sunbird/Makefile
  1.92      +3 -6      ports/devel/anjuta/Makefile
  1.19      +2 -2      ports/devel/bazaar/Makefile
  1.22      +2 -2      ports/devel/subcommander/Makefile
  1.22      +2 -2      ports/devel/subcommander2/Makefile
  1.138     +1 -1      ports/devel/subversion-freebsd/Makefile
  1.38      +3 -11     ports/devel/subversion/Makefile.common
  1.7       +1 -1      ports/java/subversion-java/Makefile
  1.79      +2 -8      ports/multimedia/audacious-plugins/Makefile
  1.110     +2 -6      ports/multimedia/gstreamer-plugins/Makefile.common
  1.13      +2 -2      ports/sysutils/fusefs-wdfs/Makefile
  1.56      +2 -2      ports/sysutils/nut/Makefile
  1.55      +2 -2      ports/sysutils/nut22/Makefile
  1.2652    +0 -2      ports/www/Makefile
  1.51      +1 -1      ports/www/cadaver/Makefile
  1.11      +1 -1      ports/www/gstreamer-plugins-neon/Makefile
  1.48      +0 -142    ports/www/neon28/Makefile (dead)
  1.32      +0 -3      ports/www/neon28/distinfo (dead)
  1.5       +0 -20     ports/www/neon28/files/patch-Makefile.in (dead)
  1.7       +0 -15     ports/www/neon28/files/patch-ltmain.sh (dead)
  1.2       +0 -19     ports/www/neon28/pkg-descr (dead)
  1.23      +0 -86     ports/www/neon28/pkg-plist (dead)
  1.51      +2 -2      ports/www/neon29/Makefile
  1.25      +1 -1      ports/www/neon29/pkg-plist
  1.11      +0 -28     ports/www/neonpp/Makefile (dead)
  1.5       +0 -3      ports/www/neonpp/distinfo (dead)
  1.3       +0 -3      ports/www/neonpp/pkg-descr (dead)
  1.4       +0 -10     ports/www/neonpp/pkg-plist (dead)
  1.52      +4 -2      ports/www/sitecopy/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 mezz freebsd_committer 2010-07-30 23:15:26 UTC
State Changed
From-To: open->closed

It has been committed. Thanks did the pointyhat-exp stuff, pav!